import request from '@/utils/request'
import { PageType, StrAnyObj } from '@/typings'

// 合同到账分页
export function getPageApi(params: StrAnyObj): Promise<PageType<StrAnyObj>> {
  return request.get('/contractFundReceived/getPage', params)
}

// 合同到账明细
export function getDetailApi(params: StrAnyObj): Promise<StrAnyObj> {
  return request.get('/contractFundReceived/getDetail', params)
}

// 合同到账编辑
export function confirmArrivalAccountApi(data: StrAnyObj): Promise<void> {
  return request.post('/contractFundReceived/confirmArrivalAccount', data)
}